Finance Booking
Manage finance booking runs in VARIO Cloud via API, including ledger assignments, validation, commits, reversals and booking record checks.
the FinanceAccount API
id of booking run
id of booking record
neues Konto
neuer Buchungsschlüssel
Buchungstext
Kostenstelle 1
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Eintragsnummer
Soll/Haben-Kennzeichen
Konto
Buchungsschlüssel
Konto-Kennzeichen
Bruttobetrag
Nettobetrag
Buchungsdatum
Leistungsdatum
Belegfeld 1
Belegfeld 2
Buchungstext
Kostenstelle 1
Debug Info
Steuerart
Leistungsort
von Land
an Land
Währung
Währungskurs
Basiswährung
Bruttobetrag in Basiswährung
Nettobetrag in Basiswährung
Umsatzsteuer-Ident-Nummer
Buchungsstatus
§13b-Status
Steuerprozentsatz Ursprung
Steuerprozentsatz Bestimmung
Journaltyp
Buchungs-Referenz
POST /erp/finance/booking/{id}/set-ledger-assignment/{recordId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 83
{
"ledger": "text",
"transactionKey": "text",
"description": "text",
"costCenter1": "text"
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"recordNumber": 1,
"recordType": "DEBIT",
"ledger": "text",
"transactionKey": "text",
"ledgerType": "PERSONAL_LEDGER",
"amountGross": 1,
"amountNet": 1,
"recordDate": "2026-01-01",
"performanceDate": "2026-01-01",
"documentField1": "text",
"documentField2": "text",
"description": "text",
"costCenter1": "text",
"comment": [],
"debugInfo": "text",
"taxState": "TAX_FREE",
"taxPerformanceLocation": "DOMESTIC",
"sourceCountryCode": "text",
"performanceCountryCode": "text",
"currencyCode": "text",
"exchangeRate": 1,
"baseCurrencyCode": "text",
"baseAmountGross": 1,
"baseAmountNet": 1,
"taxRateRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"taxIdentificationNumber": "text",
"paymentMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"bookingState": "OK",
"taxLiabilityReversedState": "IGNORE",
"sourceTaxRate": 1,
"performanceTaxRate": 1,
"accountingType": "SALES_INVOICE",
"accountingRefId": 1,
"accountingRef1": {
"id": 1,
"type": "DOCUMENT",
"label": "text"
},
"accountingRef2": {
"id": 1,
"type": "DOCUMENT",
"label": "text"
},
"accountingRef3": {
"id": 1,
"type": "DOCUMENT",
"label": "text"
}
}id of booking run
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Verarbeitungsstatus
Request date from
Request date to
POST /erp/finance/booking/{id}/revert HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"runState": "PROCESSING",
"dateFrom": "2026-01-01",
"dateTo": "2026-01-01",
"files": [],
"persons": [],
"stateSummary": [],
"exportTypes": [
"SALES_DOCUMENTS"
],
"bankAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"financeBookingBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}id of booking run
neues Konto
neuer Buchungsschlüssel
Buchungstext
Kostenstelle 1
Regel für Kontenzuordnung anlegen für diese Kombination
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Verarbeitungsstatus
Request date from
Request date to
POST /erp/finance/booking/{id}/create-missing-ledger-assignments HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 880
{
"ledger": "text",
"transactionKey": "text",
"description": "text",
"costCenter1": "text",
"ledgerAssignment": {
"version": "text",
"info": {},
"id": "text",
"assignmentType": "SALES_POSITION_LEDGER",
"productGroup": {
"id": "text"
},
"article": {
"id": "text"
},
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"taxRate": 1,
"taxState": "TAX_FREE",
"taxPerformanceLocation": "DOMESTIC",
"sourceCountry": "text",
"performanceCountry": "text",
"accountNumber": "text",
"transactionKey": "text",
"comment": "text",
"costCenter1": "text",
"taxLiabilityReversedState": "IGNORE",
"manualClosureOrigin": "IGNORE",
"bookingAccountType": "CUSTOMER",
"bankAccountRef": {
"id": "text"
},
"salesChannelRef": {
"id": "text"
},
"posRegisterRef": {
"id": "text"
},
"posPaymentMethodRef": {
"id": "text"
},
"posDepositExpenseTypeRef": {
"id": "text"
},
"businessTransactionRef": {
"id": "text"
},
"suppressBookings": false,
"description": "text"
},
"createLedgerAssignment": true
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"runState": "PROCESSING",
"dateFrom": "2026-01-01",
"dateTo": "2026-01-01",
"files": [],
"persons": [],
"stateSummary": [],
"exportTypes": [
"SALES_DOCUMENTS"
],
"bankAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"financeBookingBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}id of booking run
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Verarbeitungsstatus
Request date from
Request date to
POST /erp/finance/booking/{id}/committable HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"runState": "PROCESSING",
"dateFrom": "2026-01-01",
"dateTo": "2026-01-01",
"files": [],
"persons": [],
"stateSummary": [],
"exportTypes": [
"SALES_DOCUMENTS"
],
"bankAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"financeBookingBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}id of booking run
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Verarbeitungsstatus
Request date from
Request date to
POST /erp/finance/booking/{id}/commit HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"runState": "PROCESSING",
"dateFrom": "2026-01-01",
"dateTo": "2026-01-01",
"files": [],
"persons": [],
"stateSummary": [],
"exportTypes": [
"SALES_DOCUMENTS"
],
"bankAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"financeBookingBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Datum von
Datum bis
OK
message context
message
POST /erp/finance/booking/singlerun HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 144
{
"dateFrom": "2026-01-01",
"dateTo": "2026-01-01",
"exportTypes": [
"SALES_DOCUMENTS"
],
"bankAccountRef": {
"id": "text"
},
"salesChannelRef": {
"id": "text"
}
}OK
{
"context": "text",
"messageValue": "text"
}id of booking run
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Verarbeitungsstatus
Request date from
Request date to
GET /erp/finance/booking/{id} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"runState": "PROCESSING",
"dateFrom": "2026-01-01",
"dateTo": "2026-01-01",
"files": [],
"persons": [],
"stateSummary": [],
"exportTypes": [
"SALES_DOCUMENTS"
],
"bankAccountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"financeBookingBackendRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}id of document
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
record number
Journaltyp
GET /erp/finance/booking/check/document/{id} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"recordNumber": 1,
"records": [],
"originatingObject": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"journalType": "SALES_INVOICE"
}OK
GET /erp/finance/booking/check HTTP/1.1
Host: api.example.com
Accept: */*
OK
trueLast updated
Was this helpful?